Radio Amd-64


#1

Bonjour,

J’essaie d’écouter la radio (Radio-France) sous Debian avec mon amd-athlon-64.

Je pensais pouvoir ajouter un plug-in à kde mais real-player m’informe qu’il n’est rien prévu pour les systèmes 64 bits.

J’essaie de me diriger vers xmms, que je n’arrive pas à lancer ; pour une raison que je suis en train de chercher, et qui est sans doute liée à la décompilation que j’ai faite du noyau (enfin je crois !) et qui me donne /usr/src/kernel.2.6.8-amd64. Si j’ai bien compris (ce qui est loin d’etre sur) il faudrait que j’indique cela à xmms, dans le fichier xmms/config que je n’ai toujours pas trouvé par exemple ?

Merci pour votre aide

AK


#2

Quel est le rapport entre XMMS et les sources de ton kernel ?


#3

ceci peut t’aider: trustonme.net/didactels/215.html
perso j’utilise mplayer, voir kaffeine (en rajoutant le plugin kaffeine-mozilla).


#4

Je l’ignore, c’est juste une hypothèse due à ma grande ignorance.


#5

[quote=“Auguste Kaiser”]Bonjour,

J’essaie d’écouter la radio (Radio-France) sous Debian avec mon amd-athlon-64.

Je pensais pouvoir ajouter un plug-in à kde mais real-player m’informe qu’il n’est rien prévu pour les systèmes 64 bits.

J’essaie de me diriger vers xmms, que je n’arrive pas à lancer ; pour une raison que je suis en train de chercher, et qui est sans doute liée à la décompilation que j’ai faite du noyau (enfin je crois !) et qui me donne /usr/src/kernel.2.6.8-amd64. Si j’ai bien compris (ce qui est loin d’etre sur) il faudrait que j’indique cela à xmms, dans le fichier xmms/config que je n’ai toujours pas trouvé par exemple ?

Merci pour votre aide

AK[/quote]
Si tu veux profiter des plugins (avec firefox, je suppose ?) il te faudra installer les applications qui ne supportent pas encore le 64bits dans un environnement 32 bits. En utilisant debootstrap+chroot. Fais une recherche sur le forum, ce sujet a déjà été traité plusieurs fois.

Liste de application qui ne tournaient pas sur mon 64bits: firefox pour ses plugins, cdrdao pour le gravage de CD’s, openoffice, real-player etc…

:open_mouth: Euh… Rassures-moi, là tu veux certainement parler de la compilation du noyau, non ?


#6

Rasssures-moi, c’est bien de ça que je devrais parler ? 8-0


#7

Et si tu veux avoir des infos plus détaillées sur pourquoi xmms plante (sans doute effectivement une incompatibilité 64bits), lances le depuis une ligne de commande, ca te permettra de voir les messages d’erreur (et il y a peut être un argument à lui passer en ligne de commande pour le rendre plus verbeux, aussi).


#8

xmms

** CRITICAL **: Unable to open display

On peut dire que c’est laconique ! Rien de mieux avec les arguments de man xmms ou xmms -h


#9

J’ai réussi à installer un chroot en 32 bits parce que je voulais y installer openoffice (que je ne réussis d’ailleurs toujours pas à télécharger - sa version 2.0.2 indique linuxintel et non amd) ; je vais donc pouvoir essayer tes conseils mais je ne connais pas firefox (suis sous kde) et je ne comprends encore pas trés bien comment le tout s’organise : chroot, plugins, lien avec l’application …


#10

Bonsoir,
Toujours pas résolu la question de la radio ! Si je comprends bien, pour installer certaines applications qui ne tournent pas en 64 bits il faut le faire dans un autre sous-système 32 bits.
Je viens d’installer mplayerplug-in-3.21.tar.gz dans le fichier tmp du sous-système, et j’essaie ensuite de le gunzipper mais j’ai alors
/usr/lib/sarge/tmp# gunzip mplayerplug-in-3.21.tar.gz
gunzip: mplayerplug-in-3.21.tar.gz: No such file or directory
alors que mplayer* est dans tmp.
Quelqu’un sait pourquoi ?
NB Le fichier en question est “source code”. C’est bien celui-là que je devais télécharger ?


#11

Bonsoir,

Je repose ma question, si personne n’a répondu c’est sans doute que la réponse est évidente mais malheureusement pas pour moi.

Lorsque je download un fichier ou paquet dans /tmp et que je peux vérifier qu’il est là par la commande ls, j’imagine naivement que je vais pouvoir l’installer avec apt-get install ou dpkg mais à chaque fois j’ai le message “file not found” alors qu’elle est sous mes yeux.

Merci pour votre aide.

PS Par ailleurs, quand j’essaie XMMS, ça donne
libmikmod.so.2: Ne peut ouvrir le fichier d’objet partagé: Aucun fichier ou répertoire de ce type
Message: device: default
avec l’application qui apparait.